Package ru.bitel.bgbilling.modules.phone.common.bean

# Class PhoneContractStatusLog

java.lang.Object
ru.bitel.bgbilling.modules.phone.common.bean.PhoneContractStatusLog

    public class PhoneContractStatusLog
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PhoneContractStatusLog()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `int` | `getId()` |
  `java.lang.String` | `getLog()` |
  `int` | `getStatus()` |
  `int` | `getUserId()` |
  `java.lang.String` | `getUserName()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setId​(int id)` |
  `void` | `setLog​(java.lang.String log)` |
  `void` | `setStatus​(int status)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserName​(java.lang.String userName)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneContractStatusLog

    public PhoneContractStatusLog()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getLog

    public java.lang.String getLog()

  - ### setLog

    public void setLog​(java.lang.String log)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)